Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Software for Mac

Discussion in 'Phantom 2 Vision + Help' started by Old Pete 72, Jan 27, 2016.

  1. Old Pete 72

    Joined:
    Jan 27, 2016
    Messages:
    1
    Likes Received:
    0
    Location:
    Scunthorpe, United Kingdom
    The available Phantom Assistant software seems incompatible with my elderly Mac, running OSX 10.7.5. Is there an earlier version that will allow me to connect my Phantom 2 Vision +, please?